import * as PairingHeap from './PairingHeap';
import * as PriorityQueue from './PriorityQueue';
export declare class PriorityQueueIterator<T, P> implements Iterator<[T, P]> {
    index: number;
    protected stack: PairingHeap.Heap<T, P>[];
    constructor(queue: PriorityQueue.Data<T, P>);
    hasNext(): boolean;
    getNext(): [T, P];
    next(): IteratorResult<[T, P]>;
}
